Subject: Re: RFC: per-socket statistics on received/dropped packets

From: "David S. Miller" <[email-masked]>
Date: Sun, 09 Jun 2002 21:34:40 -0700 (PDT)

From: Ben Greear <[email-masked]>
   Date: Sun, 09 Jun 2002 11:23:30 -0700
   
   I need to account for packets on a per-session basis, where a
   session endpoint is a UDP port.  So, knowing global protocol numbers is
   good, but it is not very useful for the detailed accounting I
   need.

Why can't you just disable the other UDP services, and then there is
no question which UDP server/client is causing the drops.

Every argument I hear is one out of lazyness.  And that is not a
reason to add something.  Simply put, I don't want to add all of this
per-socket counter bumping that only, at best, 1 tenth of 1 percent
of people will use.  This means that the rest of the world eats the
overhead just for this small group that actually uses it.